项目
GET https://link.2ni.co/api/projects/
curl --request GET \
--url 'https://link.2ni.co/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.2ni.co/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 搜索的字段。允许的值为:name。 |
| order_by | 可选 字符串 | 结果排序的字段。允许的值为:project_id , datetime , last_datetime , name。 |
| order_type | 可选 字符串 | 结果排序方式。允许的值为:ASC 升序,DESC 降序。 |
| page | 可选 整数 | 您想获取结果的页码。默认为 1。 |
| results_per_page | 可选 整数 | 每页显示的结果数量。允许的值为:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认为 25。 |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-24 23:58:12",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://link.2ni.co/api/projects?page=1",
"last": "https://link.2ni.co/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://link.2ni.co/api/projects?page=1"
}
}
GET https://link.2ni.co/api/projects/{project_id}
curl --request GET \
--url 'https://link.2ni.co/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.2ni.co/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-24 23:58:12",
}
}
POST https://link.2ni.co/api/projects
| 参数 | 详情 | 描述 |
|---|---|---|
| name | 必填 字符串 | - |
| color | 可选 字符串 | - |
curl --request POST \
--url 'https://link.2ni.co/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://link.2ni.co/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://link.2ni.co/api/projects/{project_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| name | 可选 字符串 | - |
| color | 可选 字符串 | - |
curl --request POST \
--url 'https://link.2ni.co/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://link.2ni.co/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://link.2ni.co/api/projects/{project_id}
curl --request DELETE \
--url 'https://link.2ni.co/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://link.2ni.co/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \